body {
    font-family: 'Poppins', sans-serif;
    max-width: 1280px;
    margin: 0 auto;
    background-color: #5e5b5bad;
    color: #333333;
}

body.modo-escuro {
    background-color: #212121;
    color: #f5f5f5;
}

header {
    display: flex;
    justify-content: space-between;
}

header .logo {
    width: 30px;
}

header .imagem-botao {
    width: 30px;
}

header #botao-alterar-tema {
    border: none;
    background: none;
    cursor: pointer;
}

header .imagem-botao:hover,
header .logo:hover {
    transform: scale(1.05);
    cursor: pointer;
}

main {
    padding: 25px;
}

main .listagem-pokemon {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    justify-content: center;
}

main .cartao-pokemon {
    background-color: #d8e3ec;
    width: 200px;
    padding: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    border-radius: 15px;
    transition: 0.2s ease-in-out;
}

main .cartao-pokemon:hover {
    transform: scale(1.05);
    background-color: #96d9d6;
}

.modo-escuro .cartao-pokemon {
    background-color: #a8a8a8;
}

main .cartao-pokemon .informacoes {
    display: flex;
    justify-content: space-between;
    border: 1px solid #333333;
    border-radius: 10px;
}

main .cartao-pokemon .informacoes span {
    padding: 5px;
    text-transform: uppercase;
    font-size: 17px;
}

main .cartao-pokemon .gif {
    width: 90px;
    height: 90px;
}

main .cartao-pokemon .tipos {
    background-color: white;
    display: flex;
    gap: 15px;
}

main .cartao-pokemon .tipo {
    padding: 8px;
    border-radius: 10px;
}

.grama {
    background-color: #7ac74c;
    margin: 2px;
}

.veneno {
    background-color: #df67ddfb;
}

.fogo {
    background-color: #ee8130;
}

.agua {
    background-color: #6390f0;
    margin: 2px;
}

.inseto {
    background-color: #a6b91a;
}

.eletrico{
    background-color: rgb(255,215,0);
}

.normal{
    background-color: greenyellow;
}

.psico{
    background-color: #DA70D6;
}

.voador{
    background-color: #FA8072;
}

main .descricao{
    max-height: 80px;
    padding-right: 10px;
    font-size: 14px;
    overflow-y: scroll;
}